> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.wrapmode.md).

# WrapMode

Namespace: **System.Drawing.Drawing2D**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies how a texture or gradient is tiled when it is smaller than the area being filled.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum WrapMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum WrapMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                                                                          |
| -------------- | ---------------------------------------------------------------------------------------------------- |
| **Clamp**      | The texture or gradient is not tiled.                                                                |
| **Tile**       | Tiles the gradient or texture.                                                                       |
| **TileFlipX**  | Reverses the texture or gradient horizontally and then tiles the texture or gradient.                |
| **TileFlipXY** | Reverses the texture or gradient horizontally and vertically and then tiles the texture or gradient. |
| **TileFlipY**  | Reverses the texture or gradient vertically and then tiles the texture or gradient.                  |

## Used By

| Name                                                                                                                      | Description                                                                                                                                                                                                                                                                                         |
| ------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [TextureBrush.WrapMode](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.wrapmode.md)        | Gets or sets a [WrapMode](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.wrapmode.md) enumeration that indicates the wrap mode for this [TextureBrush](/system.drawing.managed/api/system.drawing/system.drawing.texturebrush.md) object.                            |
| [ImageAttributes.SetWrapMode](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.wrapmode.md)  | Sets the wrap mode that is used to decide how to tile a texture across a shape, or at shape boundaries. A texture is tiled across a shape to fill it in when the texture is smaller than the shape it is filling.                                                                                   |
| [LinearGradientBrush.WrapMode](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.wrapmode.md) | Gets or sets a [WrapMode](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.wrapmode.md) enumeration that indicates the wrap mode for this [LinearGradientBrush](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.lineargradientbrush.md). |
| [PathGradientBrush.WrapMode](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.wrapmode.md)   | Gets or sets a [WrapMode](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.wrapmode.md) enumeration that indicates the wrap mode for this [PathGradientBrush](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.pathgradientbrush.md).     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.wrapmode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
